Workflow Management
List Evaluations
Lists the business’s workflow runs (evaluations), cursor-paginated. Scoped to the API key’s business. With no filter the list is read from MongoDB; any filter reads from Elasticsearch.
GET
/
v2
/
workflows
/
evaluations
List Evaluations
curl --request GET \
--url https://api.youverify.co/v2/workflows/evaluations \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/workflows/evaluations"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/workflows/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youverify.co/v2/workflows/evaluations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youverify.co/v2/workflows/evaluations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youverify.co/v2/workflows/evaluations")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youverify.co/v2/workflows/evaluations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "Executions fetched successfully",
"data": {
"docs": [
{
"id": "string",
"workflowId": "string",
"workflowVersion": 0,
"businessId": "string",
"parentId": "string",
"status": "PENDING",
"createdBy": "string",
"createdAt": "2026-11-03T22:05:40.534Z",
"updatedAt": "2026-11-03T22:05:40.534Z",
"finishedAt": "2026-11-03T22:05:40.534Z",
"entityId": "string",
"entityName": "string"
}
],
"pagination": {
"type": "cursor",
"perPage": 0,
"nextPage": "string",
"prevPage": "string",
"hasNextPage": true,
"hasPrevPage": true,
"totalDocs": 0,
"totalPages": 0
}
},
"links": [
{}
]
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}Authorizations
Your Youverify API secret key. Never expose client-side.
Headers
API secret token
Query Parameters
Filter by workflow id.
Filter by workflow version.
Filter by run status.
Available options:
PENDING, RUNNING, PAUSED, SUCCESS, FAILED Return runs from this date.
Return runs up to this date.
Filter by event type.
Available options:
transaction, account_activity, onboarding Filter by event category.
Filter by event status.
Available options:
acknowledged, pending, completed, attempted, successful, requested, issued, activated, frozen, suspended, unfrozen, pin_changed, closed, canceled, failed Filter by lifecycle id.
Filter by entity id.
Filter by decision.
Available options:
BLOCK, FREEZE, HOLD, REVIEW, ALERT, ALLOW Number of records per page.
Field to sort by.
Sort direction.
Available options:
asc, desc Cursor for the next page (from pagination.nextPage).
Cursor for the previous page (from pagination.prevPage).
⌘I
List Evaluations
curl --request GET \
--url https://api.youverify.co/v2/workflows/evaluations \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/workflows/evaluations"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/workflows/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youverify.co/v2/workflows/evaluations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youverify.co/v2/workflows/evaluations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youverify.co/v2/workflows/evaluations")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youverify.co/v2/workflows/evaluations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "Executions fetched successfully",
"data": {
"docs": [
{
"id": "string",
"workflowId": "string",
"workflowVersion": 0,
"businessId": "string",
"parentId": "string",
"status": "PENDING",
"createdBy": "string",
"createdAt": "2026-11-03T22:05:40.534Z",
"updatedAt": "2026-11-03T22:05:40.534Z",
"finishedAt": "2026-11-03T22:05:40.534Z",
"entityId": "string",
"entityName": "string"
}
],
"pagination": {
"type": "cursor",
"perPage": 0,
"nextPage": "string",
"prevPage": "string",
"hasNextPage": true,
"hasPrevPage": true,
"totalDocs": 0,
"totalPages": 0
}
},
"links": [
{}
]
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}